/* eslint-disable */
// @ts-ignore
import { request } from '@/utils/request';

/** 查询该客户需要上传文件类型类别 GET /api/EnterpriseApplyFile/GetCustomerFileTypeHead */
export async function getCustomerFileTypeHead(options?: API.RequestConfig) {
  return request<API.IndustrialParkFileTypeDto[]>(
    '/api/EnterpriseApplyFile/GetCustomerFileTypeHead',
    {
      method: 'GET',
      ...(options || {}),
    }
  );
}

/** 获取月份上传文件详情 GET /api/EnterpriseApplyFile/GetCustomerUploadApplyFiles */
export async function getCustomerUploadApplyFiles(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetCustomerUploadApplyFilesParams,
  options?: API.RequestConfig
) {
  return request<API.GetCustomerUploadApplyFilesOutput[]>(
    '/api/EnterpriseApplyFile/GetCustomerUploadApplyFiles',
    {
      method: 'GET',
      params: {
        ...params,
      },
      ...(options || {}),
    }
  );
}

/** 按月份查询企业上传的文件列表 POST /api/EnterpriseApplyFile/GetEnterpriseApplyUploadFile */
export async function getEnterpriseApplyUploadFile(
  body: API.PageInput,
  options?: API.RequestConfig
) {
  return request<API.GetEnterpriseApplyUploadFileOutputPageOutput>(
    '/api/EnterpriseApplyFile/GetEnterpriseApplyUploadFile',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}
